Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-430

ssoadm currently verifies the version of the OpenAM server for mismatches. Make this optional

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: Express8, Snapshot9, Snapshot9.5, Snapshot9.5.1
    • Fix Version/s: Snapshot9.5.2_RC1
    • Component/s: CLI
    • Labels:
      None
    • Environment:
      All environments
    • Rank:
      1|hzn7if:

      Description

      Currently ssoadm checks the version of the OpenAM server, if there is a mismatch between sssoadm and OpenAM versions, the default is to stop the execution of the command.

      As an alternative there is an option --noversioncheck to make the command work, however there is no message nor log of the version check being ommitted.

      This improvement request proposes to use different defaults:

      • Make --noversioncheck the default option
      • Log a message in the debug log or show it in the screen if no check was performed.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                victor Victor Ake
                Reporter:
                victor Victor Ake
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: